/*
 * ValidarDepartamentoRule.java
 *
 * Created on 25 de marzo de 2007, 02:55 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.io.File;

/**
 * 
 * @author Julian
 */
public class ValidarDepartamentoRule extends AbstractRule {

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoDepto = field;
		// System.out.println("dpto: " + field);

		File file = new File(System.getProperty("user.dir") + File.separator
				+ "departamentos" + File.separator + codigoDepto
				+ ".properties");

		if (!file.exists()) {
			return true;
		}

		return false;

	}
}
